

/*
Version "30.01.23"
C:\WinAVR-20100110\avr\include\avr\*.h
*/

#ifndef MAIN_HEADER  //Prevents multiple includes
 #define MAIN_HEADER	
/*
#ifndef F_CPU
#define F_CPU 1000000UL
#endif
*/
//#pragma once

// =============================================================

#define TICKS_1000MS	1000
#define TICKS_100MS		100

#define REL_DDRX	DDRD
#define REL_PORTX	PORTD
#define REL1	(1<<PD6)
#define REL2	(1<<PD5)
#define REL3	(1<<PD4)

#define RELAIS_MSK (REL1 | REL2 | REL3)
#define RELAIS_INIT()		(REL_DDRX |= RELAIS_MSK)
#define RELAIS_ALL_OFF()	(REL_DDRX &= ~RELAIS_MSK)

#define REL1_ON()	(REL_PORTX |= REL1)
#define REL1_OFF()	(REL_PORTX &= ~REL1)

#define REL2_ON()	(REL_PORTX |= REL2)
#define REL2_OFF()	(REL_PORTX &= ~REL2)

#define REL3_ON()	(REL_PORTX |= REL3)
#define REL3_OFF()	(REL_PORTX &= ~REL3)

#define OPEN_COL1_DDR	DDRD
#define OPEN_COL1_PORT PORTD
#define OPEN_COL1_BITS	0b00001100
#define OPEN_COL_1INIT()	(OPEN_COL1_DDR |= OPEN_COL1_BITS)

#define OPEN_COL2_DDR	DDRB
#define OPEN_COL2_PORT	PORTB
#define OPEN_COL2_BITS	0b00011100
#define OPEN_COL_2INIT()	(OPEN_COL2_DDR |= OPEN_COL2_BITS)

#define AUX_DDR		DDRB
#define AUX_PORT	PORTB
#define BLINK_PIN	(1<<PB0)
#define AUX_BIT1	(1<<PB1)
#define AUX_MASK	(AUX_BIT1 | BLINK_PIN)
#define AUX_PORT_INIT()	(AUX_DDR |= AUX_MASK)
#define BLINK_TOGGLE()	(AUX_PORT ^= BLINK_PIN)
#define BLINK_ON()		(AUX_PORT |= BLINK_PIN)
#define BLINK_OFF()		(AUX_PORT &= ~BLINK_PIN)

// GLOBALE VARIABLEN Types
typedef struct
{
unsigned char TickEvent_Flag	: 1;
unsigned char Traffic_Flag		: 1;
}BIT_FIELD_TYPE;

extern volatile BIT_FIELD_TYPE gstFlags;
extern volatile uint32_t gu32Ticks;

#endif //MAIN_HEADER
